## org.codehaus.groovy.ast.stmt
Class ForStatement

Represents a standard for loop in Groovy

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`Parameter` | `FOR_LOOP_DUMMY`
`Expression` | `collectionExpression`
`Statement` | `loopBlock`
`VariableScope` | `scope`
`Parameter` | `variable`

Constructor Summary
`ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)`

Method Summary
`Expression` | `getCollectionExpression()`
`Statement` | `getLoopBlock()`
`Parameter` | `getVariable()`
`VariableScope` | `getVariableScope()`
`ClassNode` | `getVariableType()`
`void` | `setCollectionExpression(Expression collectionExpression)`
`void` | `setVariableScope(VariableScope variableScope)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### ForStatement

    public ForStatement(Parameter variable, Expression collectionExpression, Statement loopBlock)

Method Detail

### getCollectionExpression

    public Expression getCollectionExpression()

### getLoopBlock

    public Statement getLoopBlock()

### getVariable

    public Parameter getVariable()

### getVariableScope

    public VariableScope getVariableScope()

### getVariableType

    public ClassNode getVariableType()

### setCollectionExpression

    public void setCollectionExpression(Expression collectionExpression)

### setVariableScope

    public void setVariableScope(VariableScope variableScope)

### visit

    public void visit(GroovyCodeVisitor visitor)